openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/RSZ_SEM_MEASURES_BY_KYF_GET:
    post:
      tags:
      - RZSEM
      operationId: /rfc/RSZ_SEM_MEASURES_BY_KYF_GET
      requestBody:
        content:
          application/json:
            schema:
              properties:
                I_COMPUID:
                  type: string
                  maxLength: 25
                I_OBJNM:
                  type: string
                  maxLength: 30
                I_OBJVERS:
                  type: string
                  default: A
                  maxLength: 1
                E_T_MEASURE:
                  type: array
                  items:
                    type: object
                    properties:
                      STR_UID:
                        type: string
                        maxLength: 25
                        description: UUID in compressed form
                      MEM_UID:
                        type: string
                        maxLength: 25
                        description: UUID in compressed form
              required:
              - I_COMPUID
              - I_OBJNM
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  E_SUBRC:
                    type: integer
                    format: int32
                  E_T_MEASURE:
                    type: array
                    items:
                      type: object
                      properties:
                        STR_UID:
                          type: string
                          maxLength: 25
                          description: UUID in compressed form
                        MEM_UID:
                          type: string
                          maxLength: 25
                          description: UUID in compressed form
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
